import React from "react";
declare type BadgeTypes = "dashed" | "ghost" | "outlined";
declare type BadgeVariants = "primary" | "secondary" | "success" | "danger" | "warning" | "default";
declare type BadgeSizes = "small" | "medium" | "large";
interface BadgeProps {
    type?: BadgeTypes;
    variant?: BadgeVariants;
    children?: React.ReactNode;
    size?: BadgeSizes;
    customClass?: string;
    customStyles?: React.CSSProperties;
}
export { BadgeProps, BadgeTypes };
